<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/md_grey_100"
    android:orientation="vertical">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_10"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginRight="@dimen/dp_10"
            android:background="@drawable/bg_white_et"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:padding="5dp">
            <EditText
                android:id="@+id/et_container_code"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@null"
                android:hint="@string/hint_please_scan_container_code"
                android:imeOptions="actionDone"
                android:paddingRight="5dp"
                android:singleLine="true"
                android:textSize="@dimen/t14" />
            <ImageButton
                android:id="@+id/ima_container_clear"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="3dp"
                android:background="@android:color/transparent"
                android:padding="6dp"
                android:src="@drawable/ic_clear"
                android:visibility="invisible"
                android:textSize="@dimen/sp_14" />
            <include layout="@layout/item_image_code" />
        </LinearLayout>
        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/md_grey_100" />
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_10"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginRight="@dimen/dp_10"
            android:background="@drawable/bg_white_et"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:padding="5dp">
            <EditText
                android:id="@+id/et_location_code"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@null"
                android:hint="@string/hint_please_edit_location"
                android:imeOptions="actionDone"
                android:paddingRight="5dp"
                android:singleLine="true"
                android:textSize="@dimen/t14" />
            <ImageButton
                android:id="@+id/ima_location_clear"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:layout_marginRight="3dp"
                android:background="@android:color/transparent"
                android:padding="6dp"
                android:src="@drawable/ic_clear"
                android:visibility="invisible"
                android:textSize="@dimen/sp_14" />
            <ImageView
                android:id="@+id/ima_or_code_two"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="7dp"
                android:src="@drawable/ic_scanning_gray">
            </ImageView>
        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/md_grey_100" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_10"
            android:layout_marginRight="@dimen/dp_10"
            android:layout_marginTop="@dimen/dp_10"
            android:background="@drawable/bg_white_et"
            android:gravity="center_vertical"
            android:orientation="vertical"

            android:paddingLeft="10dp"
            android:paddingRight="10dp">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingBottom="5dp"
                android:paddingTop="5dp"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/str_tray_code"
                    android:textColor="@color/black"
                    android:textSize="@dimen/t14" />
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="："
                    android:textColor="@color/black"
                    android:textSize="@dimen/t14" />
                <com.fxy.baselibrary.views.MarqueeTextView
                    android:id="@+id/mt_container_code"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:enabled="false"
                    android:ellipsize="marquee"
                    android:focusable="true"
                    android:singleLine="true"
                    android:gravity="center_vertical"
                    android:textColor="@color/black_3d3d3d"
                    android:textSize="@dimen/t14"
                    />

            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingBottom="5dp"
                android:paddingTop="5dp"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/str_type_goods"
                    android:textColor="@color/black"
                    android:textSize="@dimen/t14" />
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="："
                    android:textColor="@color/black"
                    android:textSize="@dimen/t14" />

                <com.fxy.baselibrary.views.MarqueeTextView
                    android:id="@+id/mt_usable_type"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:enabled="false"
                    android:ellipsize="marquee"
                    android:focusable="true"
                    android:singleLine="true"
                    android:gravity="center_vertical"
                    android:textColor="@color/black_3d3d3d"
                    android:textSize="@dimen/t14"
                    />
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingBottom="5dp"
                android:paddingTop="5dp"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/str_quantity"
                    android:textColor="@color/black"
                    android:textSize="@dimen/t14" />
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="："
                    android:textColor="@color/black"
                    android:textSize="@dimen/t14" />

                <com.fxy.baselibrary.views.MarqueeTextView
                    android:id="@+id/mt_total_qty"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:enabled="false"
                    android:ellipsize="marquee"
                    android:focusable="true"
                    android:singleLine="true"
                    android:gravity="center_vertical"
                    android:textColor="@color/black_3d3d3d"
                    android:textSize="@dimen/t14"
                    />
            </LinearLayout>
        </LinearLayout>
        <include layout="@layout/item_float_image" />


</LinearLayout>